#
# spec file for package perl-Crypt-SysRandom
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Crypt-SysRandom
Name:           perl-Crypt-SysRandom
Version:        0.7.0
Release:        1.1
# 0.007 -> normalize -> 0.7.0
%define cpan_version 0.007
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Perl interface to system randomness
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(Crypt::SysRandom) = %{version}
%undefine       __perllib_provides
Recommends:     perl(Crypt::SysRandom::XS)
%{perl_requires}

%description
This module uses whatever interface is available to procure
cryptographically random data from the system.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Fri Jul 11 2025 Tina Müller <tina.mueller@suse.com>
- initial package 0.7.0 (0.007)
  * created by cpanspec 1.84.01
